Subject: stack overflow while compiling

From: [email-masked]
Date: Wed, 5 Dec 2012 17:31:30 +0100

This program tries to compile a long cond expression and fails quickly with
a stack overflow.

Of course this procedure was generated and a user is unlikely to write such a
long cond, but considering the simplicity of the expression I'm surprised that
the stack is so solicited.

Note that I tested with guile 2.0.6 and not the fresh new 2.0.7 but I haven't
noticed anything in the changelog regarding memory consumption.